PrefabFiles = {
"christmas_tree",
}

Assets = 
{
Asset("IMAGE", "minimap/christmas_tree.tex" ),
Asset("ATLAS", "minimap/christmas_tree.xml" ),
Asset("ATLAS", "images/inventoryimages/christmas_tree.xml"),
}

AddMinimapAtlas("minimap/christmas_tree.xml")
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Recipe = GLOBAL.Recipe
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH
_G = GLOBAL

STRINGS.NAMES.CHRISTMAS_TREE = "Christmas Tree"
STRINGS.RECIPE_DESC.CHRISTMAS_TREE = "Tree with lights."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHRISTMAS_TREE = "I have so much fun with you, shining tree."

local RegisterRussianName = GLOBAL.rawget(GLOBAL,"RegisterRussianName")
if RegisterRussianName then
	--ключ, именительный падеж, пол, дательный падеж, винительный падеж, заглавна§ буква, творительный падеж
	RegisterRussianName("CHRISTMAS_TREE","Новогодняя ёлка","she","Новогодней ёлке","Новогодняю ёлку",nil,"Новогодней ёлкой")
	STRINGS.RECIPE_DESC.CHRISTMAS_TREE = "Дерево с огоньками."
	STRINGS.CHARACTERS.GENERIC.DESCRIBE.CHRISTMAS_TREE = "Мне так весело с тобой, светящееся дерево."
end

if GetModConfigData("craft")==("normal") then
	AddRecipe("christmas_tree",{ Ingredient("livinglog", 3), Ingredient("transistor", 1), Ingredient("ice", 3) }, 
	RECIPETABS.TOWN, TECH.NONE, "christmas_tree_placer",
	nil,nil,nil,nil,
	"images/inventoryimages/christmas_tree.xml"
	)
else
	AddRecipe("christmas_tree",{ Ingredient("log", 3), Ingredient("transistor", 1) }, 
	RECIPETABS.TOWN, TECH.NONE, "christmas_tree_placer",
	nil,nil,nil,nil,
	"images/inventoryimages/christmas_tree.xml"
	)
end

AddPrefabPostInit("christmas_tree")